ResultsMenuBar (Jemboss API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.gui
Class ResultsMenuBar

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JMenuBar
                              |
                              +--org.emboss.jemboss.gui.ResultsMenuBar

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.MenuElement, java.io.Serializable

public class ResultsMenuBar
extends javax.swing.JMenuBar

Sets up a results menu bar with save and close

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JMenuBar
`javax.swing.JMenuBar.AccessibleJMenuBar`

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`private javax.swing.JMenuItem` | `fileMenuShowres`
`private javax.swing.JFrame` | `frame`
`private javax.swing.JMenuItem` | `redo`
`private javax.swing.JMenuItem` | `saveToRemoteFile`
`private javax.swing.JToolBar` | `toolBar`
`private javax.swing.JMenuItem` | `undo`
`private javax.swing.undo.UndoManager` | `undoManager`

Fields inherited from class javax.swing.JMenuBar
``

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Container
``

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ResultsMenuBar(javax.swing.JFrame frame, FileEditorDisplay fed, JembossParams mysettings)` Adds action listener to save contents of a JTextPane.
`ResultsMenuBar(javax.swing.JFrame frame, javax.swing.JTabbedPane rtb, java.util.Hashtable hashOut, java.util.Hashtable hashIn)`
`ResultsMenuBar(javax.swing.JFrame frame, javax.swing.JTabbedPane rtb, java.util.Hashtable hashOut, java.util.Hashtable hashIn, java.lang.String project, JembossParams mysettings)` Adds action listener to save contents of contents of a tabbed pane.
`ResultsMenuBar(javax.swing.JFrame frame, javax.swing.JTabbedPane rtb, java.util.Hashtable hashOut, JembossParams mysettings)`

Method Summary
`private void` | `fileSave(java.lang.String cwd, java.lang.String fileSelected, java.lang.Object fileContents)`
`private void` | `fileSave(java.lang.String cwd, java.lang.String fileSelected, java.lang.String tabTitle, java.util.Hashtable h)`
`javax.swing.JMenuBar` | `getJMenuBar()`
`private javax.swing.text.JTextComponent` | `getJTextComponentAt(javax.swing.JTabbedPane rtb, int index)`
`private javax.swing.JTextPane` | `getSelectedJTextPane(javax.swing.JTabbedPane rtb)`
`void` | `setResultsMenuBar(javax.swing.JFrame frame, boolean addRemoteSaveMenu)` Sets up a results menu bar with save and close
`private void` | `updateMenu()` Update the undo and redo menus and enable or disable dependent on the editing event that proceeded.

Methods inherited from class javax.swing.JMenuBar
`add, addNotify, getAccessibleContext, getComponent, getComponentAtIndex, getComponentIndex, getHelpMenu, getMargin, getMenu, getMenuCount, getSelectionModel, getSubElements, getUI, getUIClassID, isBorderPainted, isSelected, menuSelectionChanged, paintBorder, paramString, processKeyBinding, processKeyEvent, processMouseEvent, removeNotify, setBorderPainted, setHelpMenu, setMargin, setSelected, setSelectionModel, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fileMenuShowres

    private javax.swing.JMenuItem fileMenuShowres

### saveToRemoteFile

    private javax.swing.JMenuItem saveToRemoteFile

### frame

    private javax.swing.JFrame frame

### toolBar

    private javax.swing.JToolBar toolBar

### undo

    private javax.swing.JMenuItem undo

### redo

    private javax.swing.JMenuItem redo

### undoManager

    private javax.swing.undo.UndoManager undoManager

Constructor Detail

### ResultsMenuBar

    public ResultsMenuBar(javax.swing.JFrame frame,
                          javax.swing.JTabbedPane rtb,
                          java.util.Hashtable hashOut,
                          JembossParams mysettings)

### ResultsMenuBar

    public ResultsMenuBar(javax.swing.JFrame frame,
                          javax.swing.JTabbedPane rtb,
                          java.util.Hashtable hashOut,
                          java.util.Hashtable hashIn)

### ResultsMenuBar

    public ResultsMenuBar(javax.swing.JFrame frame,
                          FileEditorDisplay fed,
                          JembossParams mysettings)

  Adds action listener to save contents of a JTextPane. This allows editing of the area to be saved.

### ResultsMenuBar

    public ResultsMenuBar(javax.swing.JFrame frame,
                          javax.swing.JTabbedPane rtb,
                          java.util.Hashtable hashOut,
                          java.util.Hashtable hashIn,
                          java.lang.String project,
                          JembossParams mysettings)

  Adds action listener to save contents of contents of a tabbed pane. Allows saving to files of text and png files.

Method Detail

### setResultsMenuBar

    public void setResultsMenuBar(javax.swing.JFrame frame,
                                  boolean addRemoteSaveMenu)

  Sets up a results menu bar with save and close

### updateMenu

    private void updateMenu()

  Update the undo and redo menus and enable or disable dependent on the editing event that proceeded.

### fileSave

    private void fileSave(java.lang.String cwd,
                          java.lang.String fileSelected,
                          java.lang.String tabTitle,
                          java.util.Hashtable h)

### fileSave

    private void fileSave(java.lang.String cwd,
                          java.lang.String fileSelected,
                          java.lang.Object fileContents)

### getJMenuBar

    public javax.swing.JMenuBar getJMenuBar()

### getSelectedJTextPane

    private javax.swing.JTextPane getSelectedJTextPane(javax.swing.JTabbedPane rtb)

### getJTextComponentAt

    private javax.swing.text.JTextComponent getJTextComponentAt(javax.swing.JTabbedPane rtb,
                                                                int index)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD